Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160726 - Hotplug can not load firmware for WLAN card during boot
Summary: Hotplug can not load firmware for WLAN card during boot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-16 21:15 UTC by Markus Cserna
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.23.18-11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-08-19 08:24:12 UTC


Attachments (Terms of Use)

Description Markus Cserna 2005-06-16 21:15:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
During the boot process, hotplug can not load the firmware for my WLAN card (Prism54). Below is the output of dmesg after boot.

eth1: resetting device...
eth1: uploading firmware...
audit(1118949170.105:3): avc:  denied  { getattr } for  pid=2148 comm="firmware.agent" name=isl3890 dev=hda3 ino=6307283 scontext=system_u:system_r:hotplug_t tcontext=user_u:object_r:user_home_t tclass=file
audit(1118949170.105:4): avc:  denied  { write } for  pid=2148 comm="firmware.agent" name=loading dev=sysfs ino=6245 scontext=system_u:system_r:hotplug_t tcontext=system_u:object_r:sysfs_t tclass=file
audit(1118949170.105:5): avc:  denied  { write } for  pid=2148 comm="firmware.agent" name=loading dev=sysfs ino=6245 scontext=system_u:system_r:hotplug_t tcontext=system_u:object_r:sysfs_t tclass=file
prism54: request_firmware() failed for 'isl3890'
eth1: could not upload firmware ('isl3890')
eth1: islpci_reset: failure
eth1: resetting device...


The card gets initialized correctly if it is put in after bootup has completed.


Version-Release number of selected component (if applicable):
hotplug-2004_09_23-7, kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. Put in WLAN card
2. Power on and boot computer
  

Actual Results:  The WLAN card gets detected and initialized. However, the boot process hangs here.

Expected Results:  The WLAN card should have been initialized and the boot process should continue.

Additional info:

Comment 1 Daniel Walsh 2005-06-17 03:27:16 UTC
Fixed in selinux-policy-targeted-1.23.18-11


Note You need to log in before you can comment on or make changes to this bug.